package middleware

import (
	"github.com/gogf/gf/v2/net/ghttp"

	"demo/api/v1/common"
)

func ResponseMiddleware(r *ghttp.Request) {
	r.Middleware.Next()

	var (
		msg string
		res = r.GetHandlerResponse()
		err = r.GetError()
	)
	if err != nil {
		msg = err.Error()
	} else {
		msg = "OK"
	}
	r.Response.WriteJson(common.LoginRes{
		Message: msg,
		Data:    res,
	})
}
