package main

import (
	"github.com/gogf/gf/v2/frame/g"

	"demo/internal/controller"
)

func main() {

	s := g.Server()
	//TODO：加入中间件响应
	//TODO 若功能增加应考虑整体路由注册
	authController := controller.NewAuthController()
	authController.RegisterRoutes(s)
	//swagger config
	s.SetOpenApiPath("/api.json")
	s.SetSwaggerPath("/swagger")
	//port & start server
	s.SetPort(8777)
	s.Run()
}
